<?php
/*
VideoPop+ Plugin - Get Video Object
Version: 1.0.0

 Released under the GPL license
  http://www.gnu.org/copyleft/gpl.html
*/

function getVideoPopObject($vid='',$cap_flg=true) {
 $lynk_err_note = 'Sorry, video not available.';

 if($vid != '') {
  $site_url = '';
  if (function_exists('get_settings')) {
    $site_url = get_settings('siteurl').'/';
    $php_url = $site_url.'wp-content/plugins/videopop_plus/';
  } else {
    $php_url = dirname($_SERVER['PHP_SELF']);
    $site_url = substr($php_url,0,strpos($php_url,'wp-content/'));
  }

  $video_dir = '';
  $upload_dir = 'wp-content/videopop/';
  if (defined(ABSPATH)) {
    $video_dir = ABSPATH.$upload_dir;
  } else {
    $video_dir = substr(__FILE__,0,strpos(__FILE__,'wp-content/')).$upload_dir;
  }

  // size block start
  $a_sizes['160']['w'] = '160';
  $a_sizes['160']['h'] = '120';
  $a_sizes['320']['w'] = '320';
  $a_sizes['320']['h'] = '240';
  $a_sizes['640']['w'] = '640';
  $a_sizes['640']['h'] = '480';
  $a_sizes['450']['w'] = '450';
  $a_sizes['450']['h'] = '252';
  $a_sizes['480']['w'] = '480';
  $a_sizes['480']['h'] = '260';
  $a_sizes['719']['w'] = '720';
  $a_sizes['719']['h'] = '540';
  $a_sizes['720']['w'] = '720';
  $a_sizes['720']['h'] = '405';
  $a_sizes['721']['w'] = '720';
  $a_sizes['721']['h'] = '390';
  // end

  $tmpl_real = "<object id=\"realplayer\" classid=\"clsid:cfcdaa03-8be4-11cf-b84b-0020afbbccfa\" width=\"%1\$s\" height=\"%2\$s\"><param name=\"src\" value=\"%3\$s\" /><param name=\"autostart\" value=\"true\" /><param name=\"controls\" value=\"imagewindow,controlpanel\" /><embed src=\"%3\$s\" width=\"%1\$s\" height=\"%2\$s\" autostart=\"true\" controls=\"imagewindow,controlpanel\" type=\"audio/x-pn-realaudio-plugin\"></embed></object>";
  $tmpl_mov  = "<object classid=\"clsid:02BF25D5-8C17-4B23-BC80-D3488ABDDC6B\"  width=\"%1\$s\" height=\"%2\$s\" codebase=\"http://www.apple.com/qtactivex/qtplugin.cab\"><param name=\"src\" value=\"%3\$s\"><param name=\"href\" value=\"%3\$s\"><param name=\"controller\" value=\"true\"><param name=\"pluginspage\" value=\"http://www.apple.com/quicktime/download/\"><param name=\"autoplay\" value=\"true\"><param name=\"bgcolor\" value=\"000000\"><embed src=\"%3\$s\" width=\"%1\$s\" height=\"%2\$s\" bgcolor=\"000000\" autoplay=\"true\" controller=\"true\" src=\"%3\$s\" type=\"video/quicktime\" pluginspage=\"http://www.apple.com/quicktime/download/\"></embed></object>";
  $tmpl_mpg  = "<object id=\"winplayer\" classid=\"clsid:6BF52A52-394A-11d3-B153-00C04F79FAA6\" width=\"%1\$s\" height=\"%2\$s\" type=\"application/x-oleobject\"><param name=\"url\" value=\"%3\$s\" /><param name=\"autostart\" value=\"true\" /><param name=\"uiMode\" value=\"full\" /><embed src=\"%3\$s\" width=\"%1\$s\" height=\"%2\$s\" autostart=\"true\" uiMode=\"full\" type=\"application/x-mplayer2\" pluginspage=\"http://www.microsoft.com/windows/mediaplayer/\"></embed></object>";
  $tmpl_swf  = "<object classid=\"clsid:D27CDB6E-AE6D-11cf-96B8-444553540000\" codebase=\"http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=8,0,22,0\" width=\"%1\$s\" height=\"%2\$s\" id=\"videopop_swf\" align=\"\"><param name=\"movie\" value=\"%3\$s\"><param name=\"quality\" value=\"high\"><param name=\"bgcolor\" value=\"#000000\"><embed src=\"%3\$s\" quality=\"high\" bgcolor=\"#000000\"  width=\"%1\$s\" height=\"%2\$s\" name=\"videopop_swf\" align=\"\" type=\"application/x-shockwave-flash\" pluginspage=\"http://www.macromedia.com/go/getflashplayer\"></embed></object>";
  $tmpl_flv  = "<object classid=\"clsid:D27CDB6E-AE6D-11cf-96B8-444553540000\" codebase=\"http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=8,0,22,0\" width=\"%1\$s\" height=\"%2\$s\" id=\"videopop_swf\" align=\"\"><param name=\"movie\" value=\"/".$php_url."/flvplayer.swf?file=%3\$s\"><param name=\"quality\" value=\"high\"><param name=\"bgcolor\" value=\"#000000\"><param name=\"wmode\" value=\"transparent\" /><embed src=\"".$php_url."/flvplayer.swf?file=%3\$s\" quality=\"high\" bgcolor=\"#000000\"  width=\"%1\$s\" height=\"%2\$s\" name=\"videopop_swf\" align=\"\" type=\"application/x-shockwave-flash\" pluginspage=\"http://www.macromedia.com/go/getflashplayer\" wmode=\"transparent\"></embed></object>";

  // Get Video Data
  $a_vids = unserialize(file_get_contents($video_dir.'videopopdata.txt'));
  $out = $lynk_err_note;

  // Check for not deleted
  if(!empty($a_vids) && array_key_exists($vid,$a_vids)) {
   // Check file or url source
   $src = "";
   if(!empty($a_vids[$vid]['lynkvp_url'])) {
    $src = 'http://'.$a_vids[$vid]['lynkvp_url'];
   } elseif(file_exists($video_dir.$a_vids[$vid]['lynkvp_id'].'.'.$a_vids[$vid]['lynkvp_type'])) {
    $src = $site_url.$upload_dir.$a_vids[$vid]['lynkvp_id'].'.'.$a_vids[$vid]['lynkvp_type'];
   }
   $width = $a_sizes[$a_vids[$vid]['lynkvp_size']]['w'];
   $height = $a_sizes[ $a_vids[$vid]['lynkvp_size']]['h'];
   $caption = stripslashes($a_vids[$vid]['lynkvp_caption']);

   if ($src != "") {
    switch($a_vids[$vid]['lynkvp_type']) {
    case('rm'):
     //$out = sprintf($tmpl_real,$a_sizes[$a_vids[$vid]['lynkvp_size']]['w'],$a_sizes[ $a_vids[$vid]['lynkvp_size']]['h'],$src,stripslashes($a_vids[$vid]['lynkvp_caption']));
     $tmpl = $tmpl_real;
     break;
    case('mov'):
     //$out = sprintf($tmpl_mov,$a_sizes[$a_vids[$vid]['lynkvp_size']]['w'],$a_sizes[ $a_vids[$vid]['lynkvp_size']]['h']+16,$src,stripslashes($a_vids[$vid]['lynkvp_caption']));
     $tmpl = $tmpl_mov;
     $height += 16;
     break;
    case('3gp'):
     //$out = sprintf($tmpl_mov,$a_sizes[$a_vids[$vid]['lynkvp_size']]['w'],$a_sizes[ $a_vids[$vid]['lynkvp_size']]['h']+16,$src,stripslashes($a_vids[$vid]['lynkvp_caption']));
     $tmpl = $tmpl_mov;
     $height += 16;
     break;
    case('mp4'):
     //$out = sprintf($tmpl_mov,$a_sizes[$a_vids[$vid]['lynkvp_size']]['w'],$a_sizes[ $a_vids[$vid]['lynkvp_size']]['h']+16,$src,stripslashes($a_vids[$vid]['lynkvp_caption']));
     $tmpl = $tmpl_mov;
     $height += 16;
     break;
    case('swf'):
     //$out = sprintf($tmpl_swf,$a_sizes[$a_vids[$vid]['lynkvp_size']]['w'],$a_sizes[ $a_vids[$vid]['lynkvp_size']]['h'],$src,stripslashes($a_vids[$vid]['lynkvp_caption']));
     $tmpl = $tmpl_swf;
     break;
    case('flv'):
     //$out = sprintf($tmpl_flv,$a_sizes[$a_vids[$vid]['lynkvp_size']]['w'],$a_sizes[ $a_vids[$vid]['lynkvp_size']]['h'],$src,stripslashes($a_vids[$vid]['lynkvp_caption']));
     $tmpl = $tmpl_flv;
     break;
    default:
     //$out = sprintf($tmpl_mpg,$a_sizes[$a_vids[$vid]['lynkvp_size']]['w'],$a_sizes[ $a_vids[$vid]['lynkvp_size']]['h']+16,$src,stripslashes($a_vids[$vid]['lynkvp_caption']));
     $tmpl = $tmpl_mpg;
     $height += 16;
     break;
    }

    if ($cap_flg) {
     $tmpl .= "<br />%4\$s";
     $out = sprintf($tmpl,$width,$height,$src,$caption);
    } else {
     $out = sprintf($tmpl,$width,$height,$src);
    }

   } else {
    $out = $lynk_err_note;
   }
  }// if key exists

 } else {
  $out = $lynk_err_note;
 }
 return $out;
}
?>
